gtkmm 2.4: Gtk::SizeGroup Class Reference

Main Page Widgets Namespaces Book

# Gtk::SizeGroup Class Reference

Inheritance diagram for Gtk::SizeGroup:

[legend]
List of all members.

## Public Member Functions
void | add_widget (Widget& widget)
| Adds a widget to a Gtk::SizeGroup.
SizeGroupMode | get_mode () const
| Gets the current mode of the size group.
const GtkSizeGroup* | gobj () const
| Provides access to the underlying C GObject.
GtkSizeGroup* | gobj ()
| Provides access to the underlying C GObject.
GtkSizeGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly< SizeGroupMode > | property_mode () const
| The directions in which the size group effects the requested sizes of its component widgets.
Glib::PropertyProxy<SizeGroupMode> | property_mode ()
| The directions in which the size group effects the requested sizes of its component widgets.
void | remove_widget (Widget& widget)
| Removes a widget from a Gtk::SizeGroup.
void | set_mode (SizeGroupMode mode)
| Sets the Gtk::SizeGroupMode of the size group.
virtual | ~SizeGroup ()
## Static Public Member Functions
static Glib::RefPtr<SizeGroup> | create (SizeGroupMode mode)
## Protected Member Functions
| SizeGroup (SizeGroupMode mode)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::SizeGroup> | wrap (GtkSizeGroup* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::SizeGroup::~SizeGroup | ( |  | ) | `[virtual]`

Gtk::SizeGroup::SizeGroup | ( | SizeGroupMode | mode | ) | `[explicit, protected]`

## Member Function Documentation

void Gtk::SizeGroup::add_widget | ( | Widget& | widget | ) |

  | Adds a widget to a Gtk::SizeGroup. In the future, the requisition of the widget will be determined as the maximum of its requisition and the requisition of the other widgets in the size group. Whether this applies horizontally, vertically, or in both directions depends on the mode of the size group. See set_mode(). Parameters:
  | widget | The Gtk::Widget to add.

static Glib::RefPtr<SizeGroup> Gtk::SizeGroup::create | ( | SizeGroupMode | mode | ) | `[static]`

SizeGroupMode Gtk::SizeGroup::get_mode | ( |  | ) | const

| Gets the current mode of the size group. See set_mode(). Returns: The current mode of the size group.

const GtkSizeGroup* Gtk::SizeGroup::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject.

GtkSizeGroup* Gtk::SizeGroup::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject.

GtkSizeGroup* Gtk::SizeGroup::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly<SizeGroupMode> Gtk::SizeGroup::property_mode | ( |  | ) | const

| The directions in which the size group effects the requested sizes of its component widgets. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<SizeGroupMode> Gtk::SizeGroup::property_mode | ( |  | ) |

| The directions in which the size group effects the requested sizes of its component widgets. You rarely need to use properties because there are get_ and set_ methods for almost all of them. Returns: A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::SizeGroup::remove_widget | ( | Widget& | widget | ) |

  | Removes a widget from a Gtk::SizeGroup. Parameters:
  | widget | The Gtk::Widget to remove.

void Gtk::SizeGroup::set_mode | ( | SizeGroupMode | mode | ) |

  | Sets the Gtk::SizeGroupMode of the size group. The mode of the size group determines whether the widgets in the size group should all have the same horizontal requisition (Gtk::SIZE_GROUP_MODE_HORIZONTAL) all have the same vertical requisition (Gtk::SIZE_GROUP_MODE_VERTICAL), or should all have the same requisition in both directions (Gtk::SIZE_GROUP_MODE_BOTH). Parameters:
  | mode | The mode to set for the size group.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::SizeGroup> wrap | ( | GtkSizeGroup* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- sizegroup.h